Page MenuHomePhabricator

AMDGPU: Don't required structured CFG
ClosedPublic

Authored by arsenm on Aug 16 2016, 3:55 PM.

Details

Summary

The structured CFG is just an aid to inserting exec
mask modification instructions, once that is done
we don't really need it anymore. We also
do not analyze blocks with terminators that
modify exec, so this should only be impacting
true branches.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 68274.Aug 16 2016, 3:55 PM
arsenm retitled this revision from to AMDGPU: Don't required structured CFG.
arsenm updated this object.
arsenm added a reviewer: tstellarAMD.
arsenm added a subscriber: llvm-commits.

This looks reasonable to me, also I think you should remove requiresStructuredCFG entirely with this change. It doesn't look like anybody else is using it.

Just one small comment below.

test/CodeGen/AMDGPU/indirect-addressing-si.ll
576

This is unnecessary.

This looks reasonable to me, also I think you should remove requiresStructuredCFG entirely with this change. It doesn't look like anybody else is using it.

Just one small comment below.

R600 still needs it

nhaehnle accepted this revision.Sep 1 2016, 10:50 AM
nhaehnle added a reviewer: nhaehnle.

Ah, of course.

This revision is now accepted and ready to land.Sep 1 2016, 10:50 AM
tstellarAMD accepted this revision.Sep 6 2016, 12:43 PM
tstellarAMD edited edge metadata.

LGTM. No regressions in OCL/OGL tests.

Are you planning to commit this?

Yes, but it depended on one of your patches to avoid breaking a few lit tests

Yes, but it depended on one of your patches to avoid breaking a few lit tests

Is it this patch: https://reviews.llvm.org/D23417 ?

Yes, but it depended on one of your patches to avoid breaking a few lit tests

Is it this patch: https://reviews.llvm.org/D23417 ?

I think so

arsenm closed this revision.Dec 5 2016, 5:13 PM

r288744